Redmine - Patch #13612

Members roles : display group of role
2013-03-27 14:28 - Jérdbme BATAILLE

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Groups Estimated time: 0.00 hour
Target version: Candidate for next minor release

Description

Related issues:
Related to Redmine - Defect #6301: Unintuitive display of groups in project s... New 2010-09-05

History

#1 - 2013-03-27 14:31 - Jérome BATAILLE
- File RM_13612_members_roles_-_display_group_of role_RM_V1.2.1.diff added

This patch was done on an old Redmine V1.2.1.

#2 - 2013-03-27 17:56 - Jérome BATAILLE
- File group_roles.png added

Example :
Settings
Information Modules Members Versions Iesue categories Wik
User / Group Role
— - Read only access, v2 Smile te:
BT e demandes des autres
= DEV2 (Testl) guad only access, v2 Smile te:
Uivi
- v2 Project manager, customer,
o . Project manager, smile, v2 5m
= COP (Test2) v2 Project manager, smile, v2 £
= EADMIN v2 Smile team, v2 Project
TATLE AMOMYME (Test2) v2 Smile team, v2 Project
i _.Z DEY (Testl) v2 Smile team, v2 Project
) = RELAIS (Testl) V2 Smile team, v2 Project
g Test1 v2 Smile team, v2 Project
g Test2 V2 Smile team, v2 Project
#3 - 2013-04-10 23:13 - Jan Niggemann (redmine.org team member)

- Target version set to Candidate for next minor release

#4 - 2014-11-05 10:16 - Jérome BATAILLE

Hi, this patch is simple to validate, is there is a chance that it could be integrated to V3.0.0 ?

#5 - 2014-11-05 11:45 - Jérome BATAILLE
- File RM_13612_members_roles_-_display_group_of role_RM_V1.2.1.diff added

Here is a patch against a more recent version of Redmine

#6 - 2014-11-05 15:56 - Jean-Philippe Lang

Can you explain what a group of role is ? That would help to understand the purpose of the patch.

2025-08-23 1/3




#7 - 2014-11-05 16:16 - Jérome BATAILLE
- File RM_13612_members_roles_-_display_group_of role_RM_V1.2.1.diff added
Hi Jean-Philippe,
I mean Group of the role, if the user is member of the project through a Group.
In the example image CDP is member of the project through the group Test2
The aim of this enhancement is to display this information, which is very be useful when you have a lot of users ands groups in the project
P.S. : the obsolete part is un-related, my mistake, here is a fixed fixed patch, you can remove the previous one.
#8 - 2016-03-19 01:57 - Jérome BATAILLE
Hi, | think this patch is interesting for cases where Group members are mixed with normal members.
Can you check it again ?
#9 - 2016-03-19 01:58 - Jérome BATAILLE
perhaps we can change the label :
User (by Group : <group name>)
#10 - 2016-12-26 13:41 - Go MAEDA
Jérdme BATAILLE wrote:
Can you check it again ?
The file RM_13612_members_roles_-_display_group_of _role_ RM_V1.2.1.diff is a patch for
vendor/plugins/redmine_smile/app/views/projects/settings/_members.rhtml.
Is it a patch for Redmine core? It looks like a patch for some plugin.
#11 - 2016-12-27 04:52 - Mischa The Evil
- File rm13612-note_7_patch_against _trunk_r16111.patch added
Go MAEDA wrote:
Jéréme BATAILLE wrote:
Can you check it again ?
The file RM_13612_members_roles_-_display_group_of_role_RM_V1.2.1.diff is a patch for
vendor/plugins/redmine_smile/app/views/projects/settings/_members.rhtml.
Is it a patch for Redmine core? It looks like a patch for some plugin.
As far as | can tell it's a patch to the core's /projects/settings/_members.rhtml partial inside a Redmine plugin (redmine_smile), thus overloading the
core's partial with the modified one. With that in mind | created a patch file against current trunk (r16111) which | hereby attach. Please note that |

haven't tested any of this code, it's just a copy-paste of the patch in note 7 (which at maximum is against r4719) against current trunk. | quickly
scanned the code and think that it should be working at current Redmine codebase though.

#12 - 2016-12-27 10:03 - Jérome BATAILLE

Thanks to have generated the patch against current core.

This is a view only enhancement, with code that could be added in the controller. This patch has been on our production for a few years now and it's
really useful.

#13 - 2017-01-09 08:55 - Go MAEDA

- File user-belongs-to-two-group.png added

| tried out the patch and found a small problem. Please see the following screenshot. The user "User Misc" actually belongs to 2 groups ("A Team"
and "B Team"), but only "A Team" is displayed on the right side of user name.

2025-08-23 2/3


https://www.redmine.org/projects/redmine/repository/svn/revisions/16111
https://www.redmine.org/projects/redmine/repository/svn/revisions/4719

Settings
Members

w New member

User / Group

John Smith Manager

User Misc (A Team) Manager, Developer
g* B Team Manager

Dave Lopper Developer
ge A Team Developer

#14 - 2017-02-12 03:05 - Go MAEDA
- Related to Defect #6301: Unintuitive display of groups in project settings added
